commit:     d59e86f6e2166e66579e971c6208162e6d1918c2
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 27 14:52:24 2025 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed Aug 27 15:02:22 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d59e86f6

sys-apps/qdirstat: Add missing dependency

Closes: https://bugs.gentoo.org/962037
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 sys-apps/qdirstat/qdirstat-1.9_p20250726-r1.ebuild | 58 ++++++++++++++++++++++
 1 file changed, 58 insertions(+)

diff --git a/sys-apps/qdirstat/qdirstat-1.9_p20250726-r1.ebuild 
b/sys-apps/qdirstat/qdirstat-1.9_p20250726-r1.ebuild
new file mode 100644
index 000000000000..984ddd06ede9
--- /dev/null
+++ b/sys-apps/qdirstat/qdirstat-1.9_p20250726-r1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+COMMIT=a888b289ecaa062466a1d5ba2b19e96bed5fb8c8
+inherit qmake-utils xdg-utils
+
+DESCRIPTION="Qt-based directory statistics"
+HOMEPAGE="https://github.com/shundhammer/qdirstat";
+SRC_URI="https://github.com/shundhammer/qdirstat/archive/${COMMIT}.tar.gz -> 
${P}.tar.gz
+       https://dev.gentoo.org/~asturm/distfiles/${P}-qt6.patch.xz";
+S="${WORKDIR}/${PN}-${COMMIT}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+       dev-qt/qt5compat:6
+       dev-qt/qtbase:6[gui,widgets]
+       sys-libs/zlib
+"
+RDEPEND="${DEPEND}
+       dev-lang/perl
+       dev-perl/URI
+"
+
+# Pending ... https://github.com/shundhammer/qdirstat/pull/279
+PATCHES=( "${WORKDIR}/${P}-qt6.patch" ) # bug 947299
+
+src_prepare() {
+       default
+
+       # Fix QA warning about incorrect use of doc path
+       sed -e "/doc.path/s/${PN}/${PF}/" -i doc/doc.pro doc/stats/stats.pro || 
die
+
+       # Don't install compressed man pages
+       sed -e '/gzip/d' -e 's/.gz//g' -i man/man.pro || die
+}
+
+src_configure() {
+       eqmake6
+}
+
+src_install() {
+       emake INSTALL_ROOT="${ED}" install
+}
+
+pkg_postinst() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}

Reply via email to